"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getTextFromSelectedHTMLSegment = exports.getFirstMarkFromSelectedHTMLSegment = void 0;
var lodash_1 = require("lodash");
var core_1 = require("primeobjects-helper-util/build/cjs/core");
var getFirstMarkFromSelectedHTMLSegment = function (nodes) {
    if ((0, lodash_1.isNil)(nodes))
        return undefined;
    if (!(0, lodash_1.isArray)(nodes))
        return (0, exports.getFirstMarkFromSelectedHTMLSegment)(nodes === null || nodes === void 0 ? void 0 : nodes.content);
    var mark = null;
    for (var i = 0; (0, lodash_1.isArray)(nodes) && i < nodes.length && !mark; i++) {
        var node = nodes[i];
        if ((0, lodash_1.isArray)(node.marks) && node.marks.length > 0) {
            mark = node.marks[0];
        }
        else {
            mark = (0, exports.getFirstMarkFromSelectedHTMLSegment)(node === null || node === void 0 ? void 0 : node.content);
        }
    }
    ;
    return mark;
};
exports.getFirstMarkFromSelectedHTMLSegment = getFirstMarkFromSelectedHTMLSegment;
var getTextFromSelectedHTMLSegment = function (nodes) {
    if ((0, lodash_1.isNil)(nodes))
        return '';
    if (!(0, lodash_1.isArray)(nodes))
        return (0, exports.getTextFromSelectedHTMLSegment)(nodes === null || nodes === void 0 ? void 0 : nodes.content);
    return (0, lodash_1.map)(nodes, function (node) {
        return (0, core_1.isNonEmptyString)(node.text) ? node.text : (0, exports.getTextFromSelectedHTMLSegment)(node);
    }).join(' ');
};
exports.getTextFromSelectedHTMLSegment = getTextFromSelectedHTMLSegment;
